org.keycloak.admin.client.resource

## Interface ClientsResource

-     public interface ClientsResource

  Author:
    rodrigo.sasaki@icarros.com.br

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.ws.rs.core.Response` | `create(ClientRepresentation clientRepresentation)`
    `List<ClientRepresentation>` | `findAll()`
    `List<ClientRepresentation>` | `findAll(boolean viewableOnly)`
    `List<ClientRepresentation>` | `findAll(String clientId, Boolean viewableOnly, Boolean search, Integer firstResult, Integer maxResults)`
    `List<ClientRepresentation>` | `findByClientId(String clientId)`
    `ClientResource` | `get(String id)`
    `List<ClientRepresentation>` | `query(String searchQuery)`

- - ### Method Detail

    - #### get

          @Path(value="{id}")
          ClientResource get(@PathParam(value="id")
                                                 String id)

    - #### create

          @POST
           @Consumes(value="application/json")
          javax.ws.rs.core.Response create(ClientRepresentation clientRepresentation)

    - #### findAll

          @GET
           @Produces(value="application/json")
          List<ClientRepresentation> findAll()

    - #### findAll

          @GET
           @Produces(value="application/json")
          List<ClientRepresentation> findAll(@QueryParam(value="viewableOnly")
                                                                                       boolean viewableOnly)

    - #### findAll

          @GET
           @Produces(value="application/json")
          List<ClientRepresentation> findAll(@QueryParam(value="clientId")
                                                                                       String clientId,
                                                                                       @QueryParam(value="viewableOnly")
                                                                                       Boolean viewableOnly,
                                                                                       @QueryParam(value="search")
                                                                                       Boolean search,
                                                                                       @QueryParam(value="first")
                                                                                       Integer firstResult,
                                                                                       @QueryParam(value="max")
                                                                                       Integer maxResults)

    - #### findByClientId

          @GET
           @Produces(value="application/json")
          List<ClientRepresentation> findByClientId(@QueryParam(value="clientId")
                                                                                              String clientId)

    - #### query

          @GET
           @Produces(value="application/json")
          List<ClientRepresentation> query(@QueryParam(value="q")
                                                                                     String searchQuery)

Copyright © 2021 JBoss by Red Hat. All rights reserved.